#!/usr/bin/perl

my $html = "hello.html";
my ($t, $s);

open(IN, "< $html") || die "Could not open HTML file.\n";
undef $/;
$data = <IN>;
close(IN);

$data =~ s/<style .+?>\s*(.+?)\s*<\/style>\n//ms;
my $styles = $1;
my @tags = split /\n/, $styles;
foreach my $tag (@tags) {
	$tag =~ /.+?\.(.+?)\s/;
	$t = $1;
	$tag =~ /{(.+?)}/;
	$s = $1;
	$data =~ s/class="$t"/style="$s"/g;
}
print "Results:\n\n$data";
open(OUT, "> styled.html") || die "Could not open HTML file.\n";
print OUT $data;
close(OUT);
